=== debian/changelog ===
console-setup (1.237ubuntu1) questing; urgency=medium

  * Merge with Debian unstable (LP: #2098981). Remaining changes:
    - debian/clean: Delete Keyboard/tree-keymaps/ on clean
    - Add an apport hook
    - Add noudeb build profile
    - setupcon:
      - use only /run for tempfiles with /tmp as a non-root fallback.
      - handle compressed console maps and font files.
      - Map XKBMODEL=SKIP to '' for compatibility with existing
        configs.
      - the variables are taken from a config file which, if changed,
        invalidates the cache.
      - there is only ever one keyboard map per system.
      - the system should not have to resolve filenames to find the keymap
        cache on boot.
      - Explicitly exit 0, so that postinsts don't fail in the event that
        loadkeys can't find a console.
    - xmlreader: Added model entry to skip model selection
    - Fix command injection in ckbcomp
    - Keyboard/Makefile: make sure KeyboardNames.pl is built with accurate data from xkb-data.
    - Add Keyboard/Makefile rule to build pc105.tree
    - debian/control: Build depend on keymapper
    - debian/preprocessor: revert the removal of keyboard names (for size) of
      console-setup-udeb: we do need those, since we don't use the simplified
      xkb-keymap template from Debian just yet: this way we can still show
      country/language names when selecting a keyboard, layout or variant
    - Set keymap and font in the initramfs if possible and sensible
      debian/vtrgb, debian/vtrgb.vga,
      debian/console-setup-linux.setvtrgb.service, debian/rules,
      debian/console-setup-linux.{postinst, prerm}: use Ubuntu's virtual
      terminal color scheme by default, with a VGA color scheme available
      as an alternative.
    - Include pc105.tree for ubiquity
    - Keyboard/keymaptree tool to analyze key maps
    - Don't copy keyboard-configuration questions to /target in OEM mode.
      oem-config will ask them later, and copying these confuses it.
    - Map ppc64el/* to XKBMODEL=pc105
    - If the detect-keyboard debconf plugin is available
      (cdebconf-newt-detect-keys in the installer), then offer to use it to
      detect the keyboard layout.
    - If the locale is C during configuration, only set CHARMAP to
      ISO-8859-15 on kFreeBSD; otherwise restore the previous behaviour
      from before the kFreeBSD port of using UTF-8 in that case.
    - Do not set default FONTFACE or FONTSIZE for Lat15, kernel has built-in
      Terminus font, at multitiple sizes, and it correctly selects low/high
      dpi font size, based on screen resolution.
    - Handle unattended upgrades without breaking plymouth when updating
      console fonts.
    - Tolerate absence of setupcon in postinst scripts. Should be fixed by
      refactoring to not have a keyboard-configuration package that needs
      to call setupcon without depending on it.
    - Added templates for keyboard detection
    - keyboard-configuration.config: While sourcing config files to re-seed debconf, 
      treat missing XKBOPTIONS as empty.
    - Fix default keyboard selection for language/country combinations lacking a proper combined locale.
    - debian/keyboard-configuration.config: lower the priority for the layout question.
    - Set default for Dutch to us(intl), not just us.
    - Set default layout for Kurdish to tr(ku)
    - Set default layout for Vietnam to 'us'
    - debian/keyboard-configuration.config: change back the french default layout to be fr+oss and not fr+latin9
    - debian/keyboard-configuration.config: Drop the xkb-keymap bits once
      again as we're not ready for those yet, as it's currently causing an
      invalid default layout in the installer.
    - keyboard-configuration.{config,templates}: There is no good default
      for layout toggling, stop pretending there is.  Console users can set
      one with dpkg-reconfigure or editing /etc/defaults/keyboard
    - keyboard_present.sh: Quiet config/postinst when we have no USB devices
    - Make sure we give a meaningful name to ch layouts: "Switzerland"
      instead of "German (Switzerland), since it includes French too."
    - Generate a locale locally for translating keyboard names in kbdnames-maker.
    - Make COPYRIGHT a symlink to debian/copyright
    - Add noudeb build profile re
    - Generate a locale locally for translating keyboard names in kbdnames-maker.
    - Generated changes in debian/po/templates.pot (This is the diff produced by dpkg-buildpkg -S -sa -d.)

  * Dropped changes:
    - Reinstated dh_clean in d/rules which was probably commented out by mistake

 -- Anshul Singh <anshul.singh@canonical.com>  Wed, 04 Jun 2025 16:00:37 +0530
