## console-setup 1.237ubuntu2

=== debian/changelog ===
console-setup (1.237ubuntu2) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Mon, 02 Feb 2026 21:24:29 +0100
