=== debian/changelog ===
console-setup (1.237ubuntu3) resolute; urgency=medium

  [ Samuel Thibault ]
  * Keyboard/kbdcompiler: Fix checking ckbcomp success.
  * Keyboard/ckbcomp: Support symbols = [...].

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 02 Mar 2026 16:21:56 +0200
