## console-setup 1.239

=== debian/changelog ===
console-setup (1.239) unstable; urgency=medium

  [ NoisyCoil ]
  * Add support for Apple MTP keyboard and Apple SPI Keyboard, as found
    on ARM-based Apple laptops like M1 MacBook Pro and M2 MacBook Air
    (Closes: #1108360).

 -- Cyril Brulebois <kibi@debian.org>  Fri, 27 Jun 2025 17:20:08 +0200

console-setup (1.238) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Belarusian (be.po) by Joe
  * Greek (el.po) by galaxico
  * Hungarian (hu.po) by Szia Tomi
  * Khmer (km.po) by Chou Chamnan
  * Punjabi (Gurmukhi) (pa.po) by DuskyElf
  * Romanian (ro.po) by Remus-Gabriel Chelu
  * Russian (ru.po) by vladiruzz
  * Sinhala (si.po) by leela
  * Telugu (te.po) by Sripath Roy Koganti
  * Uyghur (ug.po) by Abduqadir Abliz
  * Traditional Chinese (zh_TW.po) by reimu105

 -- Holger Wansing <hwansing@mailbox.org>  Tue, 24 Jun 2025 23:11:35 +0200
