## console-setup 1.240

=== debian/changelog ===
console-setup (1.240) unstable; urgency=medium

  [ Updated translations ]
  * Spanish (es.po) by Santiago Vila
  * Russian (ru.po) by Алексей Шилин
  * Tamil (ta.po) by தமிழ்நேரம்

 -- Cyril Brulebois <kibi@debian.org>  Sun, 20 Jul 2025 06:30:07 +0200
