=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: console-setup
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Anton Zinoviev <zinoviev@debian.org>
-Build-Depends-Indep: xkb-data (>= 1.6), locales-all, sharutils, keymapper
+Build-Depends-Indep: xkb-data (>= 1.6), locales-all, sharutils
 Build-Depends: perl, debhelper (>= 9.20160709), po-debconf, libxml-parser-perl, bdfresize, liblocale-gettext-perl, unifont, unifont-bin, otf2bdf, fonts-dejavu-mono
 Standards-Version: 3.9.1
 Vcs-Browser: https://salsa.debian.org/installer-team/console-setup
@@ -100,13 +99,12 @@
 
 Package: console-setup-udeb
 Section: debian-installer
-Depends: archdetect, cdebconf-udeb, kbd-udeb | kbdcontrol-udeb | hurd-udeb, cdebconf-newt-detect-keys, ${misc:Depends}
+Depends: archdetect, cdebconf-udeb, kbd-udeb | kbdcontrol-udeb | hurd-udeb, ${misc:Depends}
 Provides: keyboard-setup
 Architecture: all
 Description: Configure the keyboard
  Keyboard configurator for Debian Installer based on console-setup
 Package-Type: udeb
-Build-Profiles: <!noudeb>
 XB-Installer-Menu-Item: 1200
 
 Package: console-setup-amiga-ekmap
@@ -116,7 +114,6 @@
 Architecture: all
 Description: encoded Linux keyboard layouts for Amiga keyboards
 Package-Type: udeb
-Build-Profiles: <!noudeb>
 
 Package: console-setup-ataritt-ekmap
 Provides: console-setup-ekmap
@@ -125,7 +122,6 @@
 Architecture: all
 Description: encoded Linux keyboard layouts for Atari TT keyboards
 Package-Type: udeb
-Build-Profiles: <!noudeb>
 
 Package: console-setup-pc-ekmap
 Provides: console-setup-ekmap
@@ -134,7 +130,6 @@
 Architecture: all
 Description: encoded Linux keyboard layouts for PC keyboards
 Package-Type: udeb
-Build-Profiles: <!noudeb>
 
 Package: console-setup-sun4-ekmap
 Provides: console-setup-ekmap
@@ -143,7 +138,6 @@
 Architecture: all
 Description: encoded Linux keyboard layouts for Sun4 keyboards
 Package-Type: udeb
-Build-Profiles: <!noudeb>
 
 Package: console-setup-sun5-ekmap
 Provides: console-setup-ekmap
@@ -152,16 +146,6 @@
 Architecture: all
 Description: encoded Linux keyboard layouts for Sun5 keyboards
 Package-Type: udeb
-Build-Profiles: <!noudeb>
-
-Package: console-setup-pc-ekbd
-Provides: console-setup-ekmap
-Section: debian-installer
-Depends: ${misc:Depends}
-Architecture: all
-Description: encoded FreeBSD keyboard layouts for PC keyboards
-Package-Type: udeb
-Build-Profiles: <!noudeb>
 
 Package: console-setup-linux-fonts-udeb
 Section: debian-installer
@@ -169,7 +153,6 @@
 Architecture: all
 Description: Linux console fonts for Debian Installer
 Package-Type: udeb
-Build-Profiles: <!noudeb>
 
 Package: console-setup-linux-charmaps-udeb
 Section: debian-installer
@@ -177,4 +160,3 @@
 Architecture: all
 Description: Linux 8-bit charmaps for console-setup-udeb
 Package-Type: udeb
-Build-Profiles: <!noudeb>
