=== debian/rules ===
--- 
+++ 
@@ -8,10 +8,6 @@
 endif
 
 FONTS_BUILT_USING := $(shell dpkg-query -W -f '$${source:Package} (= $${source:Version}), ' unifont fonts-dejavu-mono)
-
-ifeq (,$(filter noudeb, $(DEB_BUILD_PROFILES)))
-  with_udeb = yes
-endif
 
 xkbdir := /usr/share/X11/xkb
 xkb_data_version = $(shell dpkg-query -W -f '$${source:Version}' xkb-data | cut -d - -f 1)
@@ -60,7 +56,32 @@
 	&& ./kbdnames-maker ./KeyboardNames.pl \
 		| grep -v '^C[*]' | grep -v '[*]model[*]' | sort | gzip -9n ) >$@
 
-build: debian/kbdnames.gz
+models := amiga ataritt pc105 sun4 sun5
+
+di-gzipped-ekmaps := $(addprefix $./, $(addsuffix .ekmap.gz, $(models)))
+
+# di-kbdnames = us al ara es(ast) bd by in(ben) be ba br gb bg bg(phonetic)...
+di-kbdnames := $(shell grep -A 2 keyboard-configuration/xkb-keymap debian/console-setup-udeb.templates | tail -n 1 | cut -d ' ' -f 2- | tr -d , | tr ' ' '\n' | grep -v skip-config)
+
+$./%.ekmap : model = $(notdir $(@:%.ekmap=%))
+$./%.ekmap :
+	(cd Keyboard \
+	&& ./kbdcompiler $(model) ./KeyboardNames.pl $(xkbdir) \
+		"$(di-kbdnames)") >$@
+
+# The following rules ensure that kbdcompiler is not run
+# simultaneously for normal and udeb kmaps
+$(foreach i,$(gzipped-ekmaps:%.gz=%),\
+	$(eval $i: $(maindir)/$(notdir $i)))
+
+# A hack so that KeyboardNames.pl is recomputed using the files in
+# /usr/share/X11/xkb instead of the files shipped with console-setup
+$(gzipped-ekmaps:%.gz=%) $(di-gzipped-ekmaps:%.gz=%) : $./Keyboard/KeyboardNames.pl
+$./Keyboard/KeyboardNames.pl : building_debian
+building_debian :
+	touch building_debian
+
+build: debian/kbdnames.gz $(di-gzipped-ekmaps)
 
 clean : maintainer-clean
 	dh_testdir
@@ -70,10 +91,9 @@
 	-rm -f debian/kbdnames.gz
 	-rm -f debian/*~
 	dh_clean
-	ln -sf debian/copyright COPYRIGHT
 
 .PHONY : deb-udeb-install
-deb-udeb-install: deb-install-linux deb-install-main deb-install-bdf2psf $(if $(with_udeb),udeb-install-linux udeb-install)
+deb-udeb-install: deb-install-linux deb-install-main deb-install-bdf2psf udeb-install-linux udeb-install
 
 .PHONY : deb-install-linux
 deb-install-linux: build
@@ -92,20 +112,14 @@
 		--name keyboard-setup
 	dh_systemd_enable -p console-setup-linux \
 		--name console-setup
-	dh_systemd_enable -p console-setup-linux \
-		--name setvtrgb
 	dh_installinit -p console-setup-linux \
 		--no-start --name keyboard-setup.sh
 	dh_installinit -p console-setup-linux \
 		--no-start --name console-setup.sh
-	dh_installinit -p console-setup-linux \
-		--no-start --name setvtrgb
 	dh_systemd_start -p console-setup-linux \
 		--no-start --name keyboard-setup
 	dh_systemd_start -p console-setup-linux \
 		--no-start --name console-setup
-	dh_systemd_start -p console-setup-linux \
-		--no-start --name setvtrgb
 	sed -i 's/RUNLEVEL/2 3 4 5/' \
 		debian/console-setup-linux/etc/init.d/console-setup.sh
 
@@ -121,12 +135,6 @@
 		bootprefix=debian/console-setup/usr install-common
 	$(MAKE) etcdir=debian/console-setup/etc \
 		prefix=debian/console-setup/usr install-ckbcomp
-	dh_install -pconsole-setup Keyboard/pc105.tree \
-		usr/share/console-setup
-ifneq (,$(filter console-setup-linux, $(shell dh_listpackages)))
-	install -m 644 debian/vtrgb debian/console-setup-linux/etc/console-setup/
-	install -m 644 debian/vtrgb.vga debian/console-setup-linux/etc/console-setup/
-endif
 	$(MAKE) etcdir=debian/console-setup-mini/etc \
 		prefix=debian/console-setup-mini/usr \
 		bootprefix=debian/console-setup-mini/usr install-common
@@ -155,20 +163,6 @@
 		usr/share/console-setup/
 	dh_link -pkeyboard-configuration usr/share/X11/xkb/rules/xorg.lst \
 		usr/share/doc/keyboard-configuration/xorg.lst
-	install -d debian/keyboard-configuration/usr/share/initramfs-tools/hooks \
-		debian/keyboard-configuration/usr/share/initramfs-tools/scripts/init-top \
-		debian/keyboard-configuration/usr/share/initramfs-tools/scripts/panic
-	install -m755 debian/console-setup.initramfs-hook \
-		debian/keyboard-configuration/usr/share/initramfs-tools/hooks/console_setup
-	install -m755 debian/console-setup.initramfs-top \
-		debian/keyboard-configuration/usr/share/initramfs-tools/scripts/init-top/console_setup
-	sed -e "/^OPTION=/d" \
-		< debian/console-setup.initramfs-top \
-		> debian/keyboard-configuration/usr/share/initramfs-tools/scripts/panic/console_setup
-	chmod 755 debian/keyboard-configuration/usr/share/initramfs-tools/scripts/panic/console_setup
-	install -d debian/keyboard-configuration/usr/share/apport/package-hooks
-	install -m644 debian/console-setup.apport \
-		debian/keyboard-configuration/usr/share/apport/package-hooks/source_console-setup.py
 
 .PHONY : deb-install-bdf2psf
 deb-install-bdf2psf: build
@@ -195,3 +189,20 @@
 	rm -r debian/console-setup-linux-charmaps-udeb/usr/share/consolefonts/
 # console-setup-linux-fonts-udeb
 	dh_prep -p console-setup-linux-fonts-udeb
+	dh_install -p console-setup-linux-fonts-udeb $(udeb-fonts-linux) \
+		usr/share/consolefonts
+	dh_install -p console-setup-linux-fonts-udeb debian/font-switch \
+		/usr/share/console-setup
+
+.PHONY : udeb-install
+udeb-install: build
+	dh_testdir
+	dh_testroot
+	dh_prep -p console-setup-amiga-ekmap
+	dh_prep -p console-setup-ataritt-ekmap
+	dh_prep -p console-setup-pc-ekmap
+	dh_prep -p console-setup-sun4-ekmap
+	dh_prep -p console-setup-sun5-ekmap
+	dh_prep -p console-setup-udeb
+	$(MAKE) etcdir=debian/console-setup-udeb/etc \
+		prefix=debian/console-setup-udeb/usr \
