## console-setup 1.240+deb13u1

=== debian/changelog ===
console-setup (1.240+deb13u1) trixie; urgency=medium

  * keyboard-configuration.templates: Update dz(la) into dz(azerty-oss).
  * keyboard-configuration.templates: Use ca/multix variant instead of
    ca/multi (Closes: #1111994).

 -- Samuel Thibault <sthibault@debian.org>  Thu, 04 Sep 2025 19:29:20 +0200
