## console-setup 1.241

=== debian/changelog ===
console-setup (1.241) unstable; urgency=medium

  * keyboard-configuration.templates: Use ca/multix variant instead of
    ca/multi (Closes: #1111994).

 -- Samuel Thibault <sthibault@debian.org>  Fri, 29 Aug 2025 01:11:18 +0200
